## Name

smbcquotas — Set or get QUOTAs of NTFS 5 shares

## Synopsis

`smbcquotas` {//server/share} [-u user] [-L] [-F] [-S QUOTA_SET_COMMAND] [-n] [-t] [-v] [-d debuglevel] [-s configfile] [-l logdir] [-V] [-U username] [-N] [-k] [-A]

## DESCRIPTION

This tool is part of the samba(7) suite.

The smbcquotas program manipulates NT Quotas on SMB file shares.

## OPTIONS

The following options are available to the smbcquotas program.

-u user

  Specifies the user of whom the quotas are get or set. By default the current user's username will be used.

-L

  Lists all quota records of the share.

-F

  Show the share quota status and default limits.

-S QUOTA_SET_COMMAND

  This command sets/modifies quotas for a user or on the share, depending on the QUOTA_SET_COMMAND parameter which is described later.

-n

  This option displays all QUOTA information in numeric format. The default is to convert SIDs to names and QUOTA limits to a readable string format.

-t

  Don't actually do anything, only validate the correctness of the arguments.

-v

  Be verbose.

-h|--help

  Print a summary of command line options.

-V

  Prints the program version number.

-s <configuration file>

  The file specified contains the configuration details required by the server. The information in this file includes server-specific information such as what printcap file to use, as well as descriptions of all the services that the server is to provide. See `smb.conf` for more information. The default configuration file name is determined at compile time.

-d|--debuglevel=level

  `level` is an integer from 0 to 10. The default value if this parameter is not specified is zero.

  The higher this value, the more detail will be logged to the log files about the activities of the server. At level 0, only critical errors and serious warnings will be logged. Level 1 is a reasonable level for day-to-day running - it generates a small amount of information about operations carried out.

  Levels above 1 will generate considerable amounts of log data, and should only be used when investigating a problem. Levels above 3 are designed for use only by developers and generate HUGE amounts of log data, most of which is extremely cryptic.

  Note that specifying this parameter here will override the parameter in the `smb.conf` file.

-l|--logfile=logdirectory

  Base directory name for log/debug files. The extension `".progname"` will be appended (e.g. log.smbclient, log.smbd, etc...). The log file is never removed by the client.

-N

  If specified, this parameter suppresses the normal password prompt from the client to the user. This is useful when accessing a service that does not require a password.

  Unless a password is specified on the command line or this parameter is specified, the client will request a password.

-k

  Try to authenticate with kerberos. Only useful in an Active Directory environment.

-A|--authentication-file=filename

  This option allows you to specify a file from which to read the username and password used in the connection. The format of the file is

      username = <value>
      password = <value>
      domain   = <value>

  Make certain that the permissions on the file restrict access from unwanted users.

-U|--user=username[%password]

  Sets the SMB username or username and password.

  If %password is not specified, the user will be prompted. The client will first check the `USER` environment variable, then the `LOGNAME` variable and if either exists, the string is uppercased. If these environmental variables are not found, the username `GUEST` is used.

  A third option is to use a credentials file which contains the plaintext of the username and password. This option is mainly provided for scripts where the admin does not wish to pass the credentials on the command line or via environment variables. If this method is used, make certain that the permissions on the file restrict access from unwanted users. See the `-A` for more details.

  Be cautious about including passwords in scripts. Also, on many systems the command line of a running process may be seen via the ps command. To be safe always allow rpcclient to prompt for a password and type it in directly.

## QUOTA_SET_COMAND

The format of an ACL is one or more ACL entries separated by either commas or newlines. An ACL entry is one of the following:

for setting user quotas for the user specified by -u or the current username:

`UQLIM:<username>:<softlimit>/<hardlimit>`

for setting the default quotas for a share:

`FSQLIM:<softlimit>/<hardlimit>`

for changing the share quota settings:

`FSQFLAGS:QUOTA_ENABLED/DENY_DISK/LOG_SOFTLIMIT/LOG_HARD_LIMIT`

## EXIT STATUS

The smbcquotas program sets the exit status depending on the success or otherwise of the operations performed. The exit status may be one of the following values.

If the operation succeeded, smbcquotas returns an exit status of 0. If smbcquotas couldn't connect to the specified server, or when there was an error getting or setting the quota(s), an exit status of 1 is returned. If there was an error parsing any command line arguments, an exit status of 2 is returned.

## VERSION

This man page is correct for version 3.0 of the Samba suite.

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

smbcquotas was written by Stefan Metzmacher.